Name:          group-service
Version:       1.2.0
Release:       1%{?dist}
Summary:       Dbus Group management CLI tool
License:       GPLv3+ 
URL:           https://github.com/zhuyaliang/%{name}

# downloading the tarball
# spectool -g group-service.spec
Source0:       %url/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: gettext
BuildRequires: systemd-devel
BuildRequires: dbus-devel
BuildRequires: libxcrypt-devel
BuildRequires: meson
BuildRequires: polkit-devel
%if 0%{?fedora} && 0%{?fedora} >= 30
BuildRequires: systemd-rpm-macros
%else
BuildRequires: systemd
%endif

%{?systemd_requires}

%description
Dbus Group management CLI tool

%package devel
Summary:  Support for developing back-ends for group-service
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files needed for
group-service back-ends development.


%prep
%autosetup -p1

%if 0%{?fedora} && 0%{?fedora} == 28
sed -i s/"meson_version : '>=0.50.0',"/"meson_version : '>=0.46.0',"/g meson.build
%endif

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%post
%systemd_post group-admin-daemon.service

%preun
%systemd_preun group-admin-daemon.service

%postun
%systemd_postun group-admin-daemon.service


%files -f %{name}.lang
%doc README.md
%license COPYING
%{_sysconfdir}/dbus-1/system.d/org.group.admin.conf
%{_libdir}/libgroup-service.so.1*
%{_libexecdir}/group-admin-daemon
%{_datadir}/dbus-1/interfaces/org.group.admin.list.xml
%{_datadir}/dbus-1/interfaces/org.group.admin.xml
%{_datadir}/dbus-1/system-services/org.group.admin.service
%{_datadir}/polkit-1/actions/org.group.admin.policy
%{_unitdir}/group-admin-daemon.service

%files devel
%{_includedir}/group-service-1.0/
%{_libdir}/libgroup-service.so
%{_libdir}/pkgconfig/group-service.pc


%changelog
* Sun Oct 13 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.2.0-1
- update to  1.2.0

* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 1.1.0-5
- Rebuild with Meson fix for #1699099

* Mon Mar 25 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.1.0-4
- add upsream patch to fix soname version

* Sat Mar 23 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.1.0-3
- update tarball and drop patch
- update shared libraries packaging

* Sat Mar 23 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.1.0-2
- fix source link
- fix description
- fix packaging shared libraries
- add upstream patch to fix include dir

* Mon Mar 18 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.1.0-1
- initial package build

